# DBSCAN Example using RAPIDS cuML in pai4sk

This is a sample code to show how dbscan algorithm from cuML in pai4sk can be used.
The sample code performs dbscan clustering through cuML in pai4sk and through
scikit-learn and compares the results.

# How to run the example
If cuml is not already installed, run `conda install cuml` in a python3.6 conda
environment. Similarly, if pandas and scikit-learn are not already installed in
the conda environment, run `conda install pandas scikit-learn`. Then run the
example as below. This will use GPU 0.

```
python example-dbscan.py
```

&copy; Copyright IBM Corporation 2019
